Skip to main content
POST
/
import
/
streams
Create import stream
curl --request POST \
  --url https://api.prequel.co/import/streams \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "stream": {
    "name": "<string>",
    "destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mappings": [
      {
        "field_type": "<string>",
        "target_field": "<string>",
        "column": {},
        "expression": {}
      }
    ],
    "is_valid": true,
    "is_enabled": false
  }
}
'
{
  "status": "<string>",
  "data": {
    "stream": {
      "id": "<string>",
      "name": "<string>",
      "is_valid": true,
      "is_enabled": true,
      "destination_id": "<string>",
      "dataset_id": "<string>",
      "mappings": [
        {
          "field_type": "<string>",
          "target_field": "<string>",
          "column": {},
          "expression": {}
        }
      ],
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

skip_validation
boolean

Skip validation when creating or updating.

Body

application/json
stream
object
required

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required